﻿@using Jumbula.Common.Helper
@using Jumbula.Core.Domain
@using SportsClub.Areas.Dashboard.Models
@model CheckoutViewModel
@{
    Layout = null;
}

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" ui-sref='Settings'>
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>

        <div class="title">
            <h1>
                Checkout settings
            </h1>
        </div>

        <div class="clearfix"></div>
        <hr />
    </div>

    <fieldset>
        <legend>Redirection web addresses</legend>
        <div>
            <span class="place-right program-days-error">@Html.AngValidation("RegistrationSiteUrl")</span>
            <label style="display:inline-block">Clicking on the organization logo redirects to</label>
            <div id="tooltipImgClubLogo" class="jb-tooltip">
                <span ng-click="toggleTooltip('tooltipImgClubLogo','/Areas/Dashboard/Content/Image/club-logo.jpg')" class="info-icon">i</span>
                <div class="tooltip-content"></div>
            </div>

            <div class="input-control select" data-role="input-control" @Html.AngValidationClassFor(model => model.RegistrationLogoUrlSelectedType)>
                <div @Html.AngTooltipValidationFor(model => model.RegistrationLogoUrlSelectedType)>
                    <select ng-options="obj.Value as obj.Text for obj in Model.RegistrationLogoUrlTypes"
                            ng-model="@Html.Ang(m => m.RegistrationLogoUrlSelectedType)"></select>
                </div>
            </div>

            <div ng-show='@Html.Ang(m => m.RegistrationLogoUrlSelectedType)=="2"'>
                <label class="req-star">Web address</label>
                <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.RegistrationLogoUrl)>
                    <input class="k-textbox" ng-model="@Html.Ang(model => model.RegistrationLogoUrl)" type="text" @Html.AngTooltipValidationFor(model => model.RegistrationLogoUrl)>
                </div>

            </div>
            <div ng-show='@Html.Ang(m => m.RegistrationLogoUrlSelectedType)=="1"'>
                <label>Organization site: <span style="font-weight:bold">{{Model.SiteUrl}}</span></label>
            </div>
        </div>
        <br />
        <div>
            <span class="place-right program-days-error">@Html.AngValidation("BrowseSiteUrl")</span>
            <label style="display:inline-block">Clicking on "{{Model.BrowseMoreText}}" button in shopping cart redirects to </label>
            <div id="tooltipBrowsemoreText" class="jb-tooltip">
                <span ng-click="toggleTooltip('tooltipBrowsemoreText','/Areas/Dashboard/Content/Image/BrowseMoreButton.jpg')" class="info-icon">i</span>
                <div class="tooltip-content"></div>
            </div>

            <div class="input-control select" data-role="input-control" @Html.AngValidationClassFor(model => model.BrowseMoreUrlSelectedType)>
                <div @Html.AngTooltipValidationFor(model => model.BrowseMoreUrlSelectedType)>
                    <select ng-options="obj.Value as obj.Text for obj in Model.BrowseMoreUrlTypes"
                            ng-model="@Html.Ang(m => m.BrowseMoreUrlSelectedType)"></select>
                </div>
            </div>


            <div ng-show='@Html.Ang(m => m.BrowseMoreUrlSelectedType)=="2"'>
                <label class="req-star">Web address</label>
                <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.BrowseMoreUrl)>
                    <input class="k-textbox" ng-model="@Html.Ang(model => model.BrowseMoreUrl)" type="text" @Html.AngTooltipValidationFor(model => model.BrowseMoreUrl)>
                </div>

            </div>
            <div ng-show='@Html.Ang(m => m.BrowseMoreUrlSelectedType)=="1"'>
                <label>Organization site: <span style="font-weight:bold">{{Model.SiteUrl}}</span></label>
            </div>

            <div>
                <label class="req-star">Text for the button</label>
                <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.BrowseMoreText)>
                    <input ng-model="@Html.Ang(model=>model.BrowseMoreText)" type="text" @Html.AngTooltipValidationFor(model => model.BrowseMoreText) />
                </div>
            </div>
            <br />
            <div>
                <label class="req-star" style="display:inline-block;">Text for the "register for same program" button</label>
                <div id="tooltipImgSameProgram" class="jb-tooltip">
                    <span ng-click="toggleTooltip('tooltipImgSameProgram','/Areas/Dashboard/Content/Image/RegisterSameProgramButton.jpg')" class="info-icon">i</span>
                    <div class="tooltip-content"></div>
                </div>

                <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.AnotherRegisterButtonText)>
                    <input ng-model="@Html.Ang(model=>model.AnotherRegisterButtonText)" type="text" @Html.AngTooltipValidationFor(model => model.AnotherRegisterButtonText) />
                </div>
            </div>

        </div>
        <br />
        <div>
            <span class="place-right program-days-error">@Html.AngValidation("LogOutSiteUrl")</span>
            <label style="display:inline-block;">Clicking on the "log out" menu in the parent/admin dashboard redirects to</label>
            <div id="tooltipImgLogoutMenu" class="jb-tooltip">
                <span ng-click="toggleTooltip('tooltipImgLogoutMenu','/Areas/Dashboard/Content/Image/logout-menu.jpg')" class="info-icon">i</span>
                <div class="tooltip-content"></div>
            </div>
            <div class="input-control select" data-role="input-control" @Html.AngValidationClassFor(model => model.LogOutUrlSelectedType)>
                <div @Html.AngTooltipValidationFor(model => model.LogOutUrlSelectedType)>
                    <select ng-options="obj.Value as obj.Text for obj in Model.LogOutUrlTypes"
                            ng-model="@Html.Ang(m => m.LogOutUrlSelectedType)"></select>
                </div>
            </div>


            <div ng-show='@Html.Ang(m => m.LogOutUrlSelectedType)=="2"'>
                <label class="req-star">Web address</label>
                <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.LogOutUrl)>
                    <input class="k-textbox" ng-model="@Html.Ang(model => model.LogOutUrl)" type="text" @Html.AngTooltipValidationFor(model => model.LogOutUrl)>
                </div>

            </div>
            <div ng-show='@Html.Ang(m => m.LogOutUrlSelectedType)=="1"'>
                <label>Organization site: <span style="font-weight:bold">{{Model.SiteUrl}}</span></label>
            </div>
        </div>
        <br />
        <div>
            <span class="place-right program-days-error"></span>
            <label style="display:inline-block;">Redirect the order confirmation page to</label>
            <div class="input-control select" data-role="input-control" @Html.AngValidationClassFor(model => model.ConfirmationUrlSelectedType)>
                <div @Html.AngTooltipValidationFor(model => model.ConfirmationUrlSelectedType)>
                    <select ng-options="obj.Value as obj.Text for obj in Model.ConfirmationUrlTypes"
                            ng-model="@Html.Ang(m => m.ConfirmationUrlSelectedType)"></select>
                </div>
            </div>
            <div ng-show='@Html.Ang(m => m.ConfirmationUrlSelectedType)=="2"'>
                <label class="req-star">Web address</label>
                <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.ConfirmationUrl)>
                    <input class="k-textbox" ng-model="@Html.Ang(model => model.ConfirmationUrl)" type="text" @Html.AngTooltipValidationFor(model => model.ConfirmationUrl)>
                </div>

            </div>
        </div>
        <button ngaction="Settings_Checkout_Save" type="submit" class="success large place-right" ng-click="save('@CheckOutSettingsSection.Redirect')">Save</button>
    </fieldset>


    <fieldset>
        <legend>Donation</legend>
        <div>
            <div class="clearfix">

                <div class="place-left one-half padding-right20">
                    <div class="input-control checkbox" data-role="input-control">
                        <label>
                            <input ng-model="@Html.Ang(model => model.EnableDonation)" type="checkbox">
                            <span class="check"></span>
                            Enable standalone donation
                        </label>
                    </div>
                </div>

            </div>


            <button ngaction="DonationForm_View" ng-click="EditDonationForm()" class="default small " ng-show="@Html.Ang(model => model.EnableDonation)" style="margin-right:5px">Edit donation form</button>
        </div>
        <br />
        <div>
            <div class="clearfix">

                <div class="place-left one-half padding-right20">
                    <div class="input-control checkbox" data-role="input-control">
                        <label style="display:inline-block">
                            <input ng-model="@Html.Ang(model => model.EnableCartDonation)" type="checkbox">
                            <span class="check"></span>
                            Enable cart donation
                        </label>
                        <image-tooltip align="right" img-src="/Areas/Dashboard/Content/Image/info/DonationDescription.jpg"></image-tooltip>
                    </div>
                </div>

                <div class="clearfix"></div>
                <div ng-show="@Html.Ang(model => model.EnableCartDonation)">
                    <label class="req-star">Header</label>
                    <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.DonationMessage)>
                        <input class="k-textbox" ng-model="@Html.Ang(model => model.DonationMessage)" type="text" @Html.AngTooltipValidationFor(model => model.DonationMessage)>
                    </div>
                </div>
                <div ng-show="@Html.Ang(model => model.EnableCartDonation)">
                    <label style="display:inline-block">Description</label>


                    <div class="input-control textarea" data-role="input-control" @Html.AngValidationClassFor(m => m.DonationDescription)>

                        <div>
                            <div class="editor-body" id="bodyeditor" ng-class="{'error-state':MC.isEmpty(errors.formErrors['model.Body'].Messages)}">
                                <div data-toggle="tooltip" data-placement="top" data-original-title="{{MC.joinStringsWithBreak(errors.formErrors['model.Body'].Messages)}}" jb-tooltip data-html="true">
                                    <textarea id="editor" kendo-editor k-tools="['fontName','bold','italic','underline','strikethrough','fontSize','justifyLeft','justifyCenter','justifyRight','justifyFull','foreColor','insertUnorderedList','insertOrderedList','indent','outdent','createLink','unlink','insertImage','cleanFormatting','backColor']" k-ng-model="@Html.Ang(m => m.DonationDescription)" @Html.AngTooltipValidationFor(m => m.DonationDescription)></textarea>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <br />
        <div class="clearfix"></div>
        <button ngaction="Settings_Checkout_Save" type="submit" class="success large place-right" ng-click="save('@CheckOutSettingsSection.Donation')">Save</button>
    </fieldset>

    <fieldset>
        <legend> Additional charges </legend>

        <div class="clearfix">
            <div class="place-left padding-right20">
                <div class="input-control checkbox" data-role="input-control">
                    <label>
                        <input ng-model="@Html.Ang(model => model.EnableConvenienceFee)" type="checkbox">
                        <span class="check"></span>
                        Enable convenience fee
                        <span class="info-icon" title="You can define an extra amount to be added to the cart during the check out to get compensated for the credit card processing fees. Unlike surcharge, convenience fee is added only if users pay with a credit card, PayPal, or electronic checks."> i </span>

                    </label>
                </div>
            </div>
            <br />
            <div class="clearfix"></div>
            <div ng-show="@Html.Ang(model => model.EnableConvenienceFee)">
                <label class="req-star">Amount</label>
                <div class="price-box">
                    <div class="place-left one-third padding-right20">
                        <div class="input-control radio default-style place-left one-half no-margin" data-role="input-control">
                            <label class="block">
                                <input ng-model="@Html.Ang(m => m.ConvenienceFeeType)" name="convFeeType" value="0" type="radio" ng-init="amountType = '$'" />
                                <span class="check"></span>
                                Fixed
                            </label>
                        </div>
                        <div class="input-control radio default-style place-left one-half padding-right20 no-margin" data-role="input-control">
                            <label class="block">
                                <input ng-model="@Html.Ang(m => m.ConvenienceFeeType)" name="convFeeType" value="1" type="radio" />
                                <span class="check"></span>
                                Percent
                            </label>
                        </div>
                    </div>
                    <div class="input-control text price place-left two-third" data-role="input-control" data-sign="{{@Html.Ang(m => m.ConvenienceFeeType) ==0 ?'$':'%'}}" @Html.AngValidationClassFor(model => model.ConvenienceFee)>
                        <input ng-model="@Html.Ang(m => m.ConvenienceFee)" type="text" @Html.AngTooltipValidationFor(model => model.ConvenienceFee) />
                    </div>
                </div>
                <br />
                <label>Name</label>
                <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.ConvenienceFeeLabel)>
                    <input ng-model="@Html.Ang(model=>model.ConvenienceFeeLabel)" type="text" @Html.AngTooltipValidationFor(model => model.ConvenienceFeeLabel) />
                </div>
                <label>Message</label>
                <div class="input-control text" data-role="input-control">
                    <input class="k-textbox" ng-model="@Html.Ang(model => model.ConvenienceFeeMessage)" type="text">
                </div>
            </div>
        </div>
        <br />
        <div class="clearfix">
            <div class="place-left padding-right20">
                <div class="input-control checkbox" data-role="input-control">
                    <label>
                        <input ng-model="@Html.Ang(model => model.EnableSurCharge)" type="checkbox">
                        <span class="check"></span>
                        Enable surcharge
                        <span class="info-icon" title="You can define an extra amount to be added to the cart during the check out. For example, you can use surcharge to collect an activity fee from your users."> i </span>
                    </label>
                </div>
            </div>
            <br />
            <div class="clearfix"></div>
            <div ng-show="@Html.Ang(model => model.EnableSurCharge)">
                <label class="req-star">Amount</label>
                <div class="price-box">
                    <div class="place-left one-third padding-right20">
                        <div class="input-control radio default-style place-left one-half no-margin" data-role="input-control">
                            <label class="block">
                                <input ng-model="@Html.Ang(m => m.SurcahrgeAmountType)" name="amountType" value="0" type="radio" ng-init="amountType = '$'" />
                                <span class="check"></span>
                                Fixed
                            </label>
                        </div>
                        <div class="input-control radio default-style place-left one-half padding-right20 no-margin" data-role="input-control">
                            <label class="block">
                                <input ng-model="@Html.Ang(m => m.SurcahrgeAmountType)" name="amountType" value="1" type="radio" />
                                <span class="check"></span>
                                Percent
                            </label>
                        </div>
                    </div>
                    <div class="input-control text price place-left two-third" data-role="input-control" data-sign="{{@Html.Ang(m => m.SurcahrgeAmountType) ==0 ?'$':'%'}}" @Html.AngValidationClassFor(model => model.SurchargeAmount)>
                        <input ng-model="@Html.Ang(m => m.SurchargeAmount)" type="text" @Html.AngTooltipValidationFor(model => model.SurchargeAmount) />
                    </div>
                </div>
                <br />
                <div ng-show="@Html.Ang(m => m.SurcahrgeAmountType) ==0">
                    <label for="@Html.Ang(m=> m.ApplyType)">Applies to</label>
                    <div class="input-control select" data-role="input-control" @Html.AngValidationClassFor(model => model.ApplyType)>
                        <select ng-model="@Html.Ang(m=> m.ApplyType)" @Html.AngTooltipValidationFor(model => model.ApplyType)>
                            <option value=@(ChargeApplyType.OrderItem)> @ChargeApplyType.OrderItem.ToDescription()</option>
                            <option value=@(ChargeApplyType.Cart)>@ChargeApplyType.Cart.ToDescription()</option>
                        </select>
                    </div>

                    <div class="clearfix" />
                </div>
                <div class="clearfix" ng-show="@Html.Ang(m => m.SurcahrgeAmountType) ==0">
                    <div class="place-left">
                        <div class="input-control checkbox" data-role="input-control">
                            <label>
                                <input ng-model="@Html.Ang(model => model.DisableForZeroAmount)" type="checkbox">
                                <span class="check"></span>
                                Do not assess the surcharge if the order amount or total cart amount is zero
                                <span style="color:#ff0000">(Note: this option work only for classes, camps, seminars and chess tournaments.)</span>
                            </label>
                        </div>
                    </div>

                </div>

                <label class="req-star">Name</label>
                <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.SurchargeLabel)>
                    <input ng-model="@Html.Ang(model=>model.SurchargeLabel)" type="text" @Html.AngTooltipValidationFor(model => model.SurchargeLabel) />
                </div>
                <label>Message</label>

                <div class="input-control text" data-role="input-control">
                    <input class="k-textbox" ng-model="@Html.Ang(model => model.SurchargeMessage)" type="text">
                </div>
            </div>
        </div>
        <br />
        <div class="clearfix" ng-hide="@Html.Ang(model => model.HasNotPartner)">
            <div>
                <div class="place-left">
                    <div class="input-control checkbox" data-role="input-control">
                        <label>
                            <input ng-model="@Html.Ang(model => model.ShowCombinedPriceOnly)" type="checkbox">
                            <span class="check"></span>
                            Show one combined price for the program fee, the partner surcharge and the school surcharge.
                            <span style="color:#ff0000">(Note: This option works only for multi-registration flow for classes.)</span>
                        </label>
                    </div>
                </div>
            </div>

        </div>
        <br />
        <div class="clearfix"></div>
        <button ngaction="Settings_Checkout_Save" type="submit" class="success large place-right" ng-click="save('@CheckOutSettingsSection.Charges')">Save</button>
    </fieldset>


    <fieldset ng-if="!Model.IsClubPartner">
        <legend> Discounts and coupons </legend>
        <div class="clearfix">
            <div>
                <div class="place-left">
                    <div class="input-control checkbox" data-role="input-control">
                        <label>
                            <input ng-model="@Html.Ang(model => model.IsDiscountApplyOnOriginPrice)" type="checkbox">
                            <span class="check"></span>
                            Apply multiple discounts or coupons to the reduced tuitions instead of original tuitions
                        </label>
                    </div>
                </div>
            </div>
        </div>
        <br />
        <div class="clearfix"></div>
        <div class="place-left one-half padding-right20">
            <div class="input-control checkbox" data-role="input-control">
                <label>
                    <input ng-model="@Html.Ang(model => model.HideCouponInCart)" type="checkbox">
                    <span class="check"></span>
                    Hide coupon in cart page
                </label>
            </div>
        </div>
        <br />
        <div class="clearfix"></div>
        <button ngaction="Settings_Checkout_Save" type="submit" class="success large place-right" ng-click="save('@CheckOutSettingsSection.DiscountCoupon')">Save</button>
    </fieldset>

    <fieldset ng-if="!Model.IsClubPartner">
        <legend>Cart</legend>
        <div class="clearfix">
            <div class="place-left one-half padding-right20">
                <div class="input-control checkbox" data-role="input-control">
                    <label>
                        <input ng-model="@Html.Ang(model => model.HideProgramDatesInCart)" type="checkbox">
                        <span class="check"></span>
                        Hide class dates in cart
                    </label>
                </div>
            </div>
        </div>
        <br />
        <div class="clearfix"></div>
        <button ngaction="Settings_Checkout_Save" type="submit" class="success large place-right" ng-click="save('@CheckOutSettingsSection.CartPage')">Save</button>
    </fieldset>

    <fieldset ng-if="!Model.IsClubPartner">
        <legend>Program description page </legend>
        <div class="place-left one-half padding-right20">
            <div class="input-control checkbox" data-role="input-control">
                <label>
                    <input ng-model="@Html.Ang(model => model.HideProgramDates)" type="checkbox">
                    <span class="check"></span>
                    Hide class dates in program description page
                </label>
            </div>
        </div>
        <br />
        <div class="clearfix"></div>
        <div class="place-left one-half padding-right20">
            <div class="input-control checkbox" data-role="input-control">
                <label>
                    <input ng-model="@Html.Ang(model => model.HideEnrollmentCapacityInClassPage)" type="checkbox">
                    <span class="check"></span>
                    Hide enrollment capacity in program description page
                </label>
            </div>
        </div>
        <br />
        <div class="clearfix"></div>

        <button ngaction="Settings_Checkout_Save" type="submit" class="success large place-right" ng-click="save('@CheckOutSettingsSection.ClassPage')">Save</button>
    </fieldset>

    <fieldset>
        <legend> Login page </legend>

        <div class="clearfix">
            <div>
                <div class="place-left">
                    <div class="input-control " data-role="input-control">
                        <label style="display:inline-block;"> When a family is prompted with the "Already a member / New family" option, show the family</label>
                        <div id="loginTabs" class="jb-tooltip" style="margin-bottom: 5px;">
                            <span ng-click="toggleTooltip('loginTabs','/Areas/Dashboard/Content/Image/change-login-tabs.png','right','top')" class="info-icon">i</span>
                            <div class="tooltip-content"></div>
                        </div>
                        <div class="family-box">
                            <br />
                            <div class="input-control radio default-style place-left one-half no-margin" data-role="input-control">
                                <label class="block">
                                    <input ng-model="@Html.Ang(m => m.IsNewFamily)" name="IsNewFamily" ng-value="false" type="radio" />
                                    <span class="check"></span>
                                    Already a member
                                </label>
                            </div>

                            <div class="input-control radio default-style place-left one-half padding-right20 no-margin" data-role="input-control">
                                <label class="block">
                                    <input ng-model="@Html.Ang(m => m.IsNewFamily)" name="IsNewFamily" ng-value="true" type="radio" />
                                    <span class="check"></span>
                                    New family
                                </label>
                            </div>

                        </div>
                    </div>
                    <br />
                    <div class="clearfix" />
                </div>
            </div>
        </div>
        <br />
        <div class="clearfix"></div>

        <div>
            <div>
                <label style="display:inline-block">New family notification message</label>
                <div id="familyNotification" class="jb-tooltip">
                    <span ng-click="toggleTooltip('familyNotification','/Areas/Dashboard/Content/Image/family-notification-message-img.png','left','center')" class="info-icon">i</span>
                    <div class="tooltip-content"></div>
                </div>
                <div class="input-control textarea" data-role="input-control">
                    <textarea ng-model="@Html.Ang(m => m.NewFamilyNotification)" id="AbsenteeBody"></textarea>
                </div>
            </div>
        </div>

        <button ngaction="Settings_Checkout_Save" type="submit" class="success large place-right" ng-click="save('@CheckOutSettingsSection.LoginPage')">Save</button>
    </fieldset>
    <div class="clearfix"></div>


    <fieldset>
        <legend>Miscellaneous</legend>

        @*<div class="clearfix">
                <div class="place-left padding-right20">
                    <div class="input-control checkbox" data-role="input-control">
                        <label>
                            <input ng-model="@Html.Ang(model => model.EnableRegisterationFee)" type="checkbox">
                            <span class="check"></span>
                            Enable application fee
                            <span class="info-icon" title="Application fee is the money you can collect in addition to the enrollment fee for the activity."> i </span>
                        </label>
                    </div>
                </div>
                <br />
                <div class="clearfix"></div>
                <div ng-show="@Html.Ang(model => model.EnableRegisterationFee)">
                    <label class="req-star">Amount</label>
                    <div class="price-box">
                        <div class="input-control text price place-left two-third" data-role="input-control" data-sign="$" @Html.AngValidationClassFor(model => model.RegisterationFee)>
                            <input ng-model="@Html.Ang(m => m.RegisterationFee)" type="text" @Html.AngTooltipValidationFor(model => model.RegisterationFee) />
                        </div>
                    </div>
                    <br />
                    <div class="clearfix"></div>
                    <label class="req-star">Name</label>
                    <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.RegisterationFeeLabel)>
                        <input ng-model="@Html.Ang(model=>model.RegisterationFeeLabel)" type="text" @Html.AngTooltipValidationFor(model => model.RegisterationFeeLabel) />
                    </div>
                    <br />
                    <div class="clearfix"></div>
                    <div>
                        <label for="@Html.Ang(m=> m.RegistrationFeeApplyType)">Applies to</label>
                        <div class="input-control select" data-role="input-control" @Html.AngValidationClassFor(model => model.RegistrationFeeApplyType)>
                            <select ng-model="@Html.Ang(m=> m.RegistrationFeeApplyType)" @Html.AngTooltipValidationFor(model => model.RegistrationFeeApplyType)>
                                <option value=@(ChargeApplyType.OrderItem)> For each registration</option>
                                <option value=@(ChargeApplyType.PerFamilyPerSeason)>@ChargeApplyType.PerFamilyPerSeason.ToDescription()</option>
                            </select>
                        </div>

                        <div class="clearfix" />
                    </div>
                </div>
            </div>*@

        <div class="clearfix" ng-if="!Model.IsClubPartner">

            <div class="place-left one-half padding-right20">
                <div class="input-control checkbox" data-role="input-control">
                    <label>
                        <input ng-model="@Html.Ang(model => model.HasChessTourney)" type="checkbox">
                        <span class="check"></span>
                        Enable chess tournament wizard
                    </label>
                </div>
            </div>

        </div>
        <br ng-if="!Model.IsClubPartner" />
        <div class="clearfix" ng-if="!Model.IsClubPartner">
            <div>
                <div class="place-left one-half padding-right20">
                    <div class="input-control checkbox" data-role="input-control">
                        <label>
                            <input ng-model="@Html.Ang(model => model.PlayerCanEditOrder)" type="checkbox">
                            <span class="check"></span>
                            Allow users to edit their registration form data
                        </label>
                    </div>
                </div>
            </div>
        </div>
        <br />
        <div class="clearfix" ng-if="!Model.IsClubPartner">
            <div class="place-left one-half padding-right20">
                <div class="input-control checkbox" data-role="input-control">
                    <label>
                        <input ng-model="@Html.Ang(model => model.EnablePriceHidden)" type="checkbox">
                        <span class="check"></span>
                        Hide price in program description page and cart page
                    </label>
                </div>
            </div>
            <br />
            <div class="clearfix"></div>
            <div class="input-control radio" ng-show="@Html.Ang(model => model.EnablePriceHidden)">
                <div class="input-control radio default-style place-left no-margin padding-right20" data-role="input-control">
                    <label class="block">
                        <input ng-model="Model.HideAllProgramsPrice" name="isallprograms" ng-value="true" type="radio" />
                        <span class="check"></span>
                        All programs
                    </label>
                </div>

                <div class="input-control radio default-style place-left no-margin padding-left20" data-role="input-control">
                    <label class="block">
                        <input ng-model="Model.HideAllProgramsPrice" name="isallprograms" ng-value="false" type="radio" />
                        <span class="check"></span>
                        Selected programs
                    </label>
                </div>
                <div class="input-control choosen" data-role="input-control" ng-hide="Model.HideAllProgramsPrice" @Html.AngValidationClassFor(model => model.HiddenPricePrograms)>
                    <div @Html.AngTooltipValidationFor(model => model.HiddenPricePrograms)>

                        <select chosen multiple ng-model="@Html.Ang(m => m.HiddenPricePrograms)"
                                name="Programs" data-placeholder="Select programs"
                                ng-options="obj.Value as obj.Text group by obj.Group for obj in Model.ProgramsList"></select>
                    </div>
                </div>
            </div>
            <button ngaction="Settings_Checkout_Save" type="submit" class="success large place-right" ng-click="save('@CheckOutSettingsSection.Miscellaneous')">Save</button>
        </div>
    </fieldset>



    <hr />
    <a class="place-left button link large" ui-sref='Settings'>Cancel</a>

    <div class="clearfix"></div>
</div>
